local profileID = getenv("DataPlayerProfile")
if not profileID then
	-- !!!!
	Trace("[ScreenDataPlayer overlay] not profileID! ??")
end

local profIndex = PROFILEMAN:GetLocalProfileIndexFromID(profileID)
local profile = PROFILEMAN:GetLocalProfileFromIndex(profIndex)
if not profile then
	-- double !!!!
	Trace(string.format("[ScreenDataPlayer overlay] profile %s (%i) not found!",profileID,profIndex))
end

return Def.ActorFrame{
	Def.ActorFrame{
		Name="ProfileName";
		InitCommand=cmd(y,SCREEN_CENTER_Y-152;);

		Def.Quad{
			InitCommand=cmd(CenterX;zoomto,500,32;diffuse,color("0.025,0.025,0.025,0.5");fadeleft,0.05;faderight,0.25);
		};
		LoadFont("_francophilsans Bold 24px")..{
			Name="CurProfileText";
			InitCommand=cmd(x,SCREEN_CENTER_X-240;halign,0;shadowlength,1.5;zoom,20/24);
			BeginCommand=cmd(settext,profile:GetDisplayName());
		};
	};

	-- still under construction
	Def.Quad{
		InitCommand=cmd(FullScreen;diffuse,color("0,0,0,0.45"));
	};
	LoadActor(THEME:GetPathB("_construction","overlay"));
};